"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SkipNonGeneratorsProject = void 0;
const generator_utilities_1 = require("@rxap/generator-utilities");
const workspace_utilities_1 = require("@rxap/workspace-utilities");
const generators_1 = require("./generators");
function SkipNonGeneratorsProject(tree, options, project, projectName) {
    if ((0, generator_utilities_1.SkipProject)(tree, options, project, projectName)) {
        return true;
    }
    if (!(0, workspace_utilities_1.IsPluginProject)(project)) {
        return true;
    }
    if (!(0, generators_1.HasGenerators)(tree, project)) {
        return true;
    }
    return false;
}
exports.SkipNonGeneratorsProject = SkipNonGeneratorsProject;
//# sourceMappingURL=skip-non-generators-project.js.map